%define upstream_name    Test-Able-Runner
%define upstream_version 1.001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Metaclass role for test runners
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::Able)
BuildArch: noarch

%description
I like the Test::Able manpage. I really don't like having to copy my
boilerplate test runner and modify it when I use it in a new project. This
provides a basic test runner for your testable tests that takes care of the
basics for you. You can extend it a bit to customize things if you like as
well. Let me know if you want this to do something else.

This mostly assumes that you want to run several tests as a group within a
single Perl interpreter. If this is not what you want, then you probably
don't want this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 373330
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 07 2011 jquelin <jquelin> 1.1.0-1.mga2
+ Revision: 164887
- imported package perl-Test-Able-Runner

